package com.dxhy.common.util;

import com.dxhy.common.enums.FplxEnum;

/**
 * @ClassName CheckInvoiceUtil
 * @Description 检查发票工具类。
 * @Author wangruwei
 * @Date 2024/5/31 17:28
 * @Version 1.0
 */
public class CheckInvoiceUtil {

    /**
    * @Description 根据传入票种判断是否需要使用价税合计。 需要价税合计=true     需要金额=false
    * @param invoiceType
    * @Return boolean
    * @Author wangruwei
    * @Date 2024/5/31 17:29
    **/
    public static boolean isNeedTotalAmountByInvoiceType(String invoiceType){
        //31 32 161 283
        if(FplxEnum.QDZZP.getFplxDm().equals(invoiceType)||FplxEnum.QDPP.getFplxDm().equals(invoiceType)||FplxEnum.HKDZFP.getFplxDm().equals(invoiceType)||FplxEnum.TLKP.getFplxDm().equals(invoiceType)){
            return true;
        }else{
            return false;
        }
    }


    /**
     * @Description 根据传入发票号码判断是否需要使用价税合计。 需要价税合计=true     需要金额=false
     * @param invoiceNo
     * @Return boolean
     * @Author wangruwei
     * @Date 2024/5/31 17:29
     **/
    public static boolean isNeedTotalAmountByInvoiceNo(String invoiceNo){
        if(invoiceNo.length()==20){
            return true;
        }else{
            return false;
        }
    }

}
